Bio Radio SDK - Xamarin Android: GLNeuroTech.Devices.Common.TransportLayer.Mocks.MockTransportProvider Class Reference

| Bio Radio SDK - Xamarin Android

Public Member Functions | List of all members
GLNeuroTech.Devices.Common.TransportLayer.Mocks.MockTransportProvider Class Reference

Mock transport provider class. More...

Inheritance diagram for GLNeuroTech.Devices.Common.TransportLayer.Mocks.MockTransportProvider:

## Public Member Functions

| MockTransportProvider ()
| Mock transport provider constructor. More...
IDeviceTransport | GetBluetoothTransport (long macId)
| Get blue tooth transport. More...
IDeviceTransport | GetBluetoothTransport (string deviceId)
| Get blue tooth transport. More...
System.Collections.Generic.List< BluetoothDeviceInfo > | FindBluetoothDevices (string prefix)
| Find blue tooth device method. More...
IDeviceTransport | GetSerialTransport (string comPort)
| Get serial transport. More...
IDeviceTransport | GetTcpTransport (string hostname, int port)
| Get TCP Transport. More...

## Detailed Description

Mock transport provider class.

## Constructor & Destructor Documentation

## ◆ MockTransportProvider()

GLNeuroTech.Devices.Common.TransportLayer.Mocks.MockTransportProvider.MockTransportProvider | ( |  | ) |

Mock transport provider constructor.

## Member Function Documentation

## ◆ FindBluetoothDevices()

System.Collections.Generic.List<BluetoothDeviceInfo> GLNeuroTech.Devices.Common.TransportLayer.Mocks.MockTransportProvider.FindBluetoothDevices | ( | string | prefix | ) |

Find blue tooth device method.

Parameters

  prefix | Take a string prefix as parameter.

Returns
  Return a mock list of blue tooth device.

## ◆ GetBluetoothTransport() [1/2]

IDeviceTransport GLNeuroTech.Devices.Common.TransportLayer.Mocks.MockTransportProvider.GetBluetoothTransport | ( | long | macId | ) |

Get blue tooth transport.

Parameters

  macId | Take a Mac Id as parameter.(- as long)

Returns
  Return a ring buffer transport.

Implements GLNeuroTech.Devices.Common.TransportLayer.ITransportProvider.

## ◆ GetBluetoothTransport() [2/2]

IDeviceTransport GLNeuroTech.Devices.Common.TransportLayer.Mocks.MockTransportProvider.GetBluetoothTransport | ( | string | deviceId | ) |

Get blue tooth transport.

Parameters

  deviceId | Take a Mac Id as parameter.(- as a sting)

Returns
  Return a ring buffer transport.

Implements GLNeuroTech.Devices.Common.TransportLayer.ITransportProvider.

## ◆ GetSerialTransport()

IDeviceTransport GLNeuroTech.Devices.Common.TransportLayer.Mocks.MockTransportProvider.GetSerialTransport | ( | string | comPort | ) |

Get serial transport.

Parameters

  comPort | Take a com port as parameter.

Returns
  Return a ring buffer transport.

Implements GLNeuroTech.Devices.Common.TransportLayer.ITransportProvider.

## ◆ GetTcpTransport()

IDeviceTransport GLNeuroTech.Devices.Common.TransportLayer.Mocks.MockTransportProvider.GetTcpTransport | ( | string | hostname,
|  | int | port
| ) |  |

Get TCP Transport.

Parameters

  hostname | Hostname as a string.
  port | Port number.

Returns
  Return a ring buffer transport.

Implements GLNeuroTech.Devices.Common.TransportLayer.ITransportProvider.